[arch-commits] Commit in python-whoosh/repos (2 files)

Felix Yan felixonmars at archlinux.org
Mon Dec 26 01:04:02 UTC 2016


    Date: Monday, December 26, 2016 @ 01:04:01
  Author: felixonmars
Revision: 202455

archrelease: copy trunk to community-staging-any

Added:
  python-whoosh/repos/community-staging-any/
  python-whoosh/repos/community-staging-any/PKGBUILD
    (from rev 202454, python-whoosh/trunk/PKGBUILD)

----------+
 PKGBUILD |   53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

Copied: python-whoosh/repos/community-staging-any/PKGBUILD (from rev 202454, python-whoosh/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2016-12-26 01:04:01 UTC (rev 202455)
@@ -0,0 +1,53 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Samuel Littley <aur at toastwaffle.com>
+# Contributor: rnons <remotenonsense at gmail dot com>
+
+pkgbase=python-whoosh
+pkgname=(python-whoosh python2-whoosh)
+pkgver=2.7.4
+pkgrel=2
+pkgdesc="Fast, pure-Python full text indexing, search, and spell checking library"
+arch=('any')
+url="http://bitbucket.org/mchaput/whoosh/wiki/Home"
+license=("BSD")
+makedepends=('python-setuptools' 'python2-setuptools' 'mercurial')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner')
+source=("hg+https://bitbucket.org/mchaput/whoosh#tag=$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+  cp -a whoosh{,-py2}
+}
+
+build() {
+  cd "$srcdir"/whoosh
+  python setup.py build
+
+  cd "$srcdir"/whoosh-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/whoosh
+  python setup.py ptr
+
+  cd "$srcdir"/whoosh-py2
+  python2 setup.py ptr || warning "Tests failed"
+}
+
+package_python-whoosh() {
+  depends=('python')
+
+  cd whoosh
+  python setup.py install -O1 --root="$pkgdir"
+  install -D -m644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}
+
+package_python2-whoosh() {
+  depends=('python2')
+
+  cd whoosh-py2
+  python2 setup.py install -O1 --root="$pkgdir"
+  install -D -m644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}



More information about the arch-commits mailing list